if not exists (select CGC_EMP from PRC_EMP WHERE CGC_EMP IN ('42225938/0001-50','25102146/0001-79'))

BEGIN
	CREATE TABLE #RsPdv (CD_EMP INT,CD_CONV INT,CD_CLI INT,STS_CRED INT,STS_ATIVO INT,FLAG_CONVENIADO_DEMISSAO INT)

	--Inserindo os dados dos clientes na tabela temporaria
	INSERT INTO #RsPdv
		select 
			C.CD_EMP,CV.CD_CONV,C.CD_CLI,C.STS_CRED,C.STS_CLI AS STS_ATIVO,C.FLAG_CONVENIADO_DEMISSAO
		from rc_cli c inner join RC_CLI_CONV_RC_CLI cv on
			c.CD_EMP=CV.CD_EMP AND
			C.CD_CLI=CV.CD_CLI 
			
		where C.ESP_CLI IN(2,3,6) AND C.STS_CLI=0 and cv.STS_ATIVO=1
		
	--Criando variavel que vai receber o codigo do cliente

	declare @CD_EMP int
	declare @CD_CONV int
	declare @CD_CLI int
	declare @STS_CRED INT
	declare @STS_ATIVO INT
	declare @FLAG_CONVENIADO_DEMISSAO INT

	--Criando o cursos de alteração para que possamos alterar cliente a cliente
	--assim não iremos bloquear as paginas do banco de dados
	--somente o registro que esta sendo alterado, assim o usuário final não vai perceber
	--forma mais efeciente de atualizar os clientes sem bloquear os usuários finais
	SET NOCOUNT ON
	DECLARE Vendas CURSOR FAST_FORWARD FOR SELECT CD_EMP ,CD_CONV ,CD_CLI ,STS_CRED ,STS_ATIVO ,FLAG_CONVENIADO_DEMISSAO   FROM #RsPdv
	OPEN Vendas
	FETCH NEXT FROM Vendas INTO @CD_EMP ,@CD_CONV ,@CD_CLI ,@STS_CRED ,@STS_ATIVO ,@FLAG_CONVENIADO_DEMISSAO
	WHILE @@FETCH_STATUS=0
		Begin
			update RC_CLI_CONV_RC_CLI set STS_CRED=@STS_CRED,STS_ATIVO=@STS_ATIVO,FLAG_CONVENIADO_DEMISSAO=@FLAG_CONVENIADO_DEMISSAO
			 where  CD_EMP=@cd_emp and CD_CLI=@CD_CLI and CD_CONV=@CD_CONV
						
			FETCH NEXT FROM Vendas INTO @CD_EMP ,@CD_CONV ,@CD_CLI ,@STS_CRED ,@STS_ATIVO ,@FLAG_CONVENIADO_DEMISSAO
		End

	PRINT 'Concluído.'

	--Fechando cursos
	CLOSE Vendas;
	--Desalocando cursos da memoria
	DEALLOCATE Vendas;
	--Apagando a tabela temporaria
	DROP TABLE #RsPdv;
END


